# Usage (tl;dr version)

In case you don't want to bother reading that long documentation (or the help message) here are few (tested) examples

### Most basic use

``python3 CommentConvert.py -i [scrappedComment.json] -v [video.mp4]``

This will take scrappedComment.json, converts it to html, links default style.css and script.js (included in this archive);
writing it to scrappedComment.html file. Everything except ``-i`` is optional.

- ``-v`` is alias for ``--videos``

### FULL POWER but with default options

``./CommentConvert.py -i [scrappedComment.json] -v [videoIn.mp4]  -p [~comments per page] -d [avatars]``

This will output the most advanced html with around [comments per page]. The best ammount of comments is not determined yet, you
must count on the fact that replies are __not__ counted to this but 500 seems to be just fine, so don't be afraid to go higher.

``- d [dir]`` will put all of the avatars to the [dir] directory. It checks for duplicates so if you get interrupted from this
(bit longer) process you won't loose your progress.


### Linking custom styles/scripts or multiple videos

``python3 CommentConvert.py -i [scrappedComment.json] -v [videoIn.mp4] [videoIn.ogg] -s [customScript1.js] [customScript2.js] -c [customStyle1.css]``

- ``-s`` is alias for ``--scripts``
- ``-c`` is alias for ``--styles``

This will append multiple videos, scripts and styles. __However__ default ones (style.css and script.js that come with this
program) are __also__ linked (but additional have higher priority being linked later). Currently no checks are done for duplicates
in filenames. If you do not wish to link these default resources, use ``--no-link-default``

### Making the most plain conversion

if you just want to view comments and their replies in the barest form:

``python3 CommentConvert.py -i [scrappedComment.json] --no-link-default``

Will just convert comments, no video or any resources linked.
